| LPCOpen Platform v1.03 LPCOpen Platform for NXP LPC Microcontrollers

- Main Page
- Modules
- Data Structures
- Files
- Related Pages

- Data Structures
- Data Structure Index
- Data Fields

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Data Fields
LPC_USB_T Struct Reference
CHIP: LPC11xx USB device register block | CHIP: LPC1347 USB device register block

## Detailed Description

LPC11xx USB device register block structure.

LPC1347 USB device register block structure.

Definition at line 48 of file usbd_11xx.h.

`#include "usbd_11xx.h"`

## Data Fields
__IO uint32_t | DEVCMDSTAT
__IO uint32_t | INFO
__IO uint32_t | EPLISTSTART
__IO uint32_t | DATABUFSTART
__IO uint32_t | LPM
__IO uint32_t | EPSKIP
__IO uint32_t | EPINUSE
__IO uint32_t | EPBUFCFG
__IO uint32_t | INTSTAT
__IO uint32_t | INTEN
__IO uint32_t | INTSETSTAT
__IO uint32_t | INTROUTING
__I uint32_t | RESERVED0 [1]
__I uint32_t | EPTOGGLE

## Field Documentation

__IO uint32_t DATABUFSTART

(@ 0x4008000C) USB Data buffer start address

Definition at line 52 of file usbd_11xx.h.

__IO uint32_t DEVCMDSTAT

< (@ 0x40080000) USB Structure (@ 0x40080000) USB Device Command/Status register

Definition at line 49 of file usbd_11xx.h.

__IO uint32_t EPBUFCFG

(@ 0x4008001C) USB Endpoint Buffer Configuration register

Definition at line 56 of file usbd_11xx.h.

__IO uint32_t EPINUSE

(@ 0x40080018) USB Endpoint Buffer in use

Definition at line 55 of file usbd_11xx.h.

__IO uint32_t EPLISTSTART

(@ 0x40080008) USB EP Command/Status List start address

Definition at line 51 of file usbd_11xx.h.

__IO uint32_t EPSKIP

(@ 0x40080014) USB Endpoint skip

Definition at line 54 of file usbd_11xx.h.

__I uint32_t EPTOGGLE

(@ 0x40080034) USB Endpoint toggle register

Definition at line 62 of file usbd_11xx.h.

__IO uint32_t INFO

(@ 0x40080004) USB Info register

Definition at line 50 of file usbd_11xx.h.

__IO uint32_t INTEN

(@ 0x40080024) USB interrupt enable register

Definition at line 58 of file usbd_11xx.h.

__IO uint32_t INTROUTING

(@ 0x4008002C) USB interrupt routing register

Definition at line 60 of file usbd_11xx.h.

__IO uint32_t INTSETSTAT

(@ 0x40080028) USB set interrupt status register

Definition at line 59 of file usbd_11xx.h.

__IO uint32_t INTSTAT

(@ 0x40080020) USB interrupt status register

Definition at line 57 of file usbd_11xx.h.

__IO uint32_t LPM

(@ 0x40080010) Link Power Management register

Definition at line 53 of file usbd_11xx.h.

__I uint32_t RESERVED0

Definition at line 61 of file usbd_11xx.h.

The documentation for this struct was generated from the following files:

- C:/nxp/v1.03/lpcopen_v1.03/lpcopen/software/lpc_core/lpc_chip/chip_11xx/usbd_11xx.h
- C:/nxp/v1.03/lpcopen_v1.03/lpcopen/software/lpc_core/lpc_chip/chip_13xx/usbd_1347.h